/*
 Feltételek – if állítás
 Az analóg bemenetből kiolvasott potméter adatait hasonlítja össze a küszöbértékkel, ahhoz képest be- vagy kikapcsolja a LED-et. 
 A beolvasott értéket kiírja, függetlenül a küszöbértéktől.
 
 Áramkör:
 * A potméter középső lába az analóg 0-ba, a szélsők 5 V-ba és földelésbe kötve,
 * LED digitális 13-ba és földelésbe kötve (elhagyható)
 
 created 17 Jan 2009, modified 9 Apr 2012 by Tom Igoe
 */

// Állandókkal meghatározzuk a pineket:
const int analogPin = A0;    // potméter
const int ledPin = 13;       // LED 
const int threshold = 400;   // a tetszőleges küszöbérték, 
// az analóg szenzor értéktartományán belül .

void setup() {
  // inicializáljuk a LED pint kimenetként:
  pinMode(ledPin, OUTPUT);
  // inicializáljuk a soros kommunikációt:
  Serial.begin(9600);
}

void loop() {
  // kiolvassuk a potmétert:
  int analogValue = analogRead(analogPin);

  //ha a bejövő analóg érték elég magas, bekapcsoljuk a LED-et:
  if (analogValue > threshold) {
    digitalWrite(ledPin, HIGH);
  } 
  else {
    digitalWrite(ledPin,LOW); 
  }

  // kiírjuk a bejövő értéket:
  Serial.println(analogValue);
  delay(1);        
  // késleltetés a kiolvasások között a stabilitáshoz
}


